import vl from 'vega-lite-api';
export const viz = vl
  .markCircle({ size: 500})
  .encode(
    vl.y().fieldN('neighbourhood_group').title('Neighbourhood'),
    vl.x().fieldQ('price').aggregate('mean').title('Average Price'),
    vl.color().fieldN('room_type').title('Room Type'),
    vl.size().fieldQ('number_of_reviews').aggregate('mean').title('Avg # of reviews'),
    vl.tooltip().fieldQ('price').aggregate('mean')
  );